import Collapse from './src/Collapse.vue';
import CollapseItem from './src/CollapseItem.vue';
import CollapsePanel from './src/CollapsePanel.vue';
import Panel from './src/Panel.vue';

Collapse.install = function(Vue) {
    Vue.component(Collapse.name, Collapse);
    Vue.component(CollapseItem.name, CollapseItem);
    Vue.component(CollapsePanel.name, CollapsePanel);
    Vue.component(Panel.name, Panel);
};
export default [Collapse, CollapseItem, CollapsePanel, Panel];