# Canknow
[![构建状态](https://canknow.coding.net/badges/canknow/job/203279/build.svg)](https://canknow.coding.net/p/canknow/ci/job)(https://canknow.coding.net/p/canknow/ci/job)

Canknow是一套基于html5的metro风格vue前端框架，能创建美观的pc端网站、管理后台，另开发更便捷和统一。包含button、cell、dialog、 progress、 toast、article、actionsheet、icon、rich editor等各式元素。

## 快速开始

### CDN
```html
<!-- 引入样式 -->
<link rel="stylesheet" href="https://unpkg.com/canknow/dist/canknow.css">
<!-- 引入组件库 -->
<script src="https://unpkg.com/canknow/dist/canknow.umd.js"></script>
```

### 完整引入

```javascript
import Vue from 'vue';
import canknow from 'canknow';
@import "~canknow/dist/canknow.css";

Vue.use(canknow);
```

# 样例
您可以直接访问(http://j10s0w.coding-pages.com/)
查看每种组件或者插件的效果

# License
The MIT License(http://opensource.org/licenses/MIT)
请自由地享受和参与开源。

# 贡献
如果你有好的意见或建议，欢迎给我们提issue或pull request。
