import clickoutside from 'canknow-ui-core/src/directives/clickoutside';
import ripple from 'canknow-ui-core/src/directives/ripple';
import transferDom from 'canknow-ui-core/src/directives/transfer-dom';
import bubbleBg from 'canknow-ui-core/src/directives/bubbleBg';
import loading from './loading';
import copy from './copy';
import mousewheeel from './mousewheel';
import onresize from './onresize';
import infiniteScroll from './infinite-scroll';

export default {
    clickoutside,
    ripple,
    transferDom,
    bubbleBg,
    loading,
    copy,
    mousewheeel,
    onresize,
    infiniteScroll
};
